Boomi Data Integration API Reference (1.0.0) - RecipesMetadata
UpdatedDownload OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get Reports
Authorization scope: data flow:list
This endpoint gets all tables per account, environment and connection
Authorizations:
path Parameters
| account_id required | string (Account Id) |
| environment_id required | string (Environment Id) |
| recipe_id required | string (Recipe Id) |
query Parameters
Connection Id (string) or Connection Id (null) (Connection Id) Examples: connection_id=55bf7c4270fdca16cac18762 Id of the connection to filter, optional. | |
Report Name (string) or Report Name (null) (Report Name) Examples: report_name=my_table Text to search by table name,search is case insensitive and will search for any table name that contains the text search. | |
| items_per_page | integer (Items Per Page) [ 1 .. 500 ] Default: 20 The number of items per page in the paginated list. |
Next Page Id (string) or Next Page Id (null) (Next Page Id) Examples: next_page_id=641c72d0e0e25c00113a3985 | |
Previous Page Id (string) or Previous Page Id (null) (Previous Page Id) Examples: previous_page_id=641c72d0e0e25c00113a3986 The page id to filter the row of the previous page's results | |
Include Ids (boolean) or Include Ids (null) (Include Ids) Default: false Optional filter to indicate if the include the provided ids (next_page_id / previous_page_id) in the query's results | |
Array of Reports Ids (strings) or Reports Ids (null) (Reports Ids) Examples: reports_ids=report_id Optional filter to fetch reports by ids |
Responses
Response Schema: application/json
| account_id required | string (Account Id) The account id |
| environment_id required | string (Environment Id) The environment id |
required | Connection Id (string) or Connection Id (null) (Connection Id) The recipe connection id. |
| recipe_id required | string (Recipe Id) The recipe id. |
required | Array of any (Items) |
Next Page (string) or Next Page (null) (Next Page) The next page URL | |
Previous Page (string) or Previous Page (null) (Previous Page) The previous page URL | |
| current_page_size | integer (Current Page Size) Default: 0 The current page size |
Response samples
- 200
- 422
{- "next_page": "string",
- "previous_page": "string",
- "account_id": "string",
- "environment_id": "string",
- "current_page_size": 0,
- "connection_id": "62e7f4352c13160013dc39be",
- "recipe_id": "62e7f4352c13160013dc39b1",
- "items": [
- {
- "id": "table_id",
- "increment_columns": [
- {
- "incremental_type": "runningnumber",
- "is_default": false,
- "name": "days_unsigned__c",
- "type": "FLOAT"
}
], - "updated_at": "2022-12-31 08:00:21",
- "table_type": "api_structured",
- "datasource_id": "salesforce",
- "advanced_settings": {
- "salesforce_extract_type": "bulk"
}, - "interface_parameter_names": [
- "state",
- "owner"
]
}
]
}Get Columns
Authorization scope: data flow:list
This endpoint gets all columns per account, environment, recipe, and report
Authorizations:
path Parameters
| account_id required | string (Account Id) |
| environment_id required | string (Environment Id) |
| recipe_id required | string (Recipe Id) |
query Parameters
| report_id required | string (Report Id) Examples: report_id=my_table Column's table id |
| target_type required | string (Target Type) Enum: "snowflake" "redshift" "athena" "bigquery" "target_email" "gcs" "s3" "blob_storage" "azure_synapse_analytics" "azure_sql" "databricks" "postgres_rds" "knowledge_hub" "onelake" Examples: target_type=my_target Table's target name |
Connection Id (string) or Connection Id (null) (Connection Id) Examples: connection_id=55bf7c4270fdca16cac18762 Id of the connection to filter, optional. | |
Column Name (string) or Column Name (null) (Column Name) Examples: column_name=my_column String search by column name. This search is case insensitive and will search for any column with a name field that contains the search string. | |
| items_per_page | integer (Items Per Page) [ 1 .. 1000 ] Default: 20 The number of items per page in the paginated list. |
| page | integer (Page) >= 1 Default: 1 The current page number in the paginated list. |
Responses
Response Schema: application/json
| current_page_size required | integer (Current Page Size) The current page size |
| account_id required | string (Account Id) The account id |
| environment_id required | string (Environment Id) The environment id |
required | Connection Id (string) or Connection Id (null) (Connection Id) The database connection id. |
| recipe_id required | string (Recipe Id) The recipe id. |
required | Array of any (Items) |
Next Page (string) or Next Page (null) (Next Page) The next page URL | |
Previous Page (string) or Previous Page (null) (Previous Page) The previous page URL | |
| page | integer (Page) Default: 1 The page number |
| total_items | integer (Total Items) Default: 0 The total number of entities fetched |
Response samples
- 200
- 422
{- "next_page": "string",
- "previous_page": "string",
- "page": 1,
- "current_page_size": 0,
- "total_items": 0,
- "account_id": "string",
- "environment_id": "string",
- "connection_id": "62e7f4352c13160013dc39be",
- "recipe_id": "62e7f4352c13160013dc39b1",
- "items": [
- {
- "name": "column_name",
- "type": "STRING",
- "is_key": true,
- "column_db_type": "structured_db",
- "can_increment": true,
- "is_default_increment_column": true,
- "is_selected": true,
- "updated_at": "2022-12-31 08:00:21",
- "length": 256
}
]
}